众扬汇 AI 开放平台 API 文档

首尾帧

OpenAPI Specification

yaml
openapi: 3.0.1
info:
  title: ''
  description: "本页接口说明详见下方接口定义;参数取值与返回以本平台实测为准。"
  version: 1.0.0
paths:
  /vidu/v2/start-end2video:
    post:
      summary: 首尾帧
      deprecated: false
      description: "具体参数见本页接口定义;上游文档外链已移除,参数与返回以本平台实测为准。"
      tags:
        - 视频模型/vidu
      parameters:
        - name: Content-Type
          in: header
          description: "该字段的取值与含义以本平台实际返回为准。"
          required: true
          example: application/json
          schema:
            type: string
        - name: Authorization
          in: header
          description: "该字段的取值与含义以本平台实际返回为准。"
          required: false
          example: Bearer {{YOUR_API_KEY}}
          schema:
            type: string
            default: Bearer {{YOUR_API_KEY}}
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                images:
                  type: array
                  items:
                    type: string
                prompt:
                  type: string
                duration:
                  type: integer
                seed:
                  type: integer
                resolution:
                  type: string
                movement_amplitude:
                  type: string
                off_peak:
                  type: boolean
              required:
                - model
                - images
                - prompt
                - duration
                - seed
                - resolution
                - movement_amplitude
                - off_peak
            example:
              model: viduq2-pro
              images:
                - >-
                  https://files.example.com/vidu-maas/template/image2video.png
              prompt: The astronaut waved and the camera moved up.
              duration: 5
              seed: 0
              resolution: 720p
              movement_amplitude: auto
              off_peak: false
      responses:
        '200':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
      security: []
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []

使用提示:本页接口的 Base URL 为 https://api.allyang.cn,请求头需携带 Authorization: Bearer <令牌>(令牌在控制台「令牌管理」中创建)。示例中的任务 ID、时间戳与文件地址均为示意值,实际以平台返回为准。

模型名请在「模型广场」复制后填入,不要手输;计费、限流与在售清单以平台实测为准(部分数值待补)。